%global commit 0d71fcaa089f884b53540af8773c97ffd7efb327
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: sniproxy
Version: 0.1
Release: 3.git%{shortcommit}%{?dist}
Summary: Transparent TLS proxy

Group: System Environment/Daemons
License: BSD
URL: https://github.com/dlundquist/sniproxy
Source0: https://github.com/dlundquist/sniproxy/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1: sniproxy.conf
Source2: sniproxy.service

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: curl
BuildRequires: systemd
BuildRequires: libev-devel
BuildRequires: pcre-devel
BuildRequires: perl

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine.


%prep
%setup -qn %{name}-%{commit}


%build
touch config.rpath
autoreconf -fvi
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

%check
make check

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%systemd_post sniproxy.service

%preun
%systemd_preun sniproxy.service

%postun
%systemd_postun sniproxy.service

%files

%config(noreplace) %{_sysconfdir}/sniproxy.conf

%{_sbindir}/sniproxy
%doc COPYING README.md AUTHORS
%{_unitdir}/sniproxy.service

%changelog
* Fri Mar 21 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-3.git0d71fca
- Updated for libev in Fedora rawhide that no longer uses pkg-config

* Fri Feb 21 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-2.git0d71fca
- Updated based on comments from Christopher Meng

* Fri Jan 31 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-1.git0d71fca
- Initial version of the package
